<template>
  <div class="container-xxl">
    <div class="row mt-5">
      <div class="col-12">
        <div class="card card-flush shadow-sm">
          <div class="card-header d-flex flex-column flex-md-row">
            <h3 class="card-title fw-bolder text-dark">
              Lista de proveedores
            </h3>
            <div class="card-toolbar justify-content-end">
              <button
                class="btn btn-success shadow-sm"
                data-bs-toggle="modal"
                data-bs-target="#modal_proveedor_crear"
              >
                <i class="bi bi-plus-lg fs-4 me-2" />Agregar
              </button>
              <button
                class="btn btn-primary ms-5"
                @click="onProveedorListar()"
              >
                <i class="bi bi-arrow-clockwise fs-4 me-2" />
                Actualizar
              </button>
            </div>
          </div>
        </div>
      </div>
    </div>

    <div class="row">
      <div class="col-12">
        <tabla-listar
          ref="tablaProveedorListar"
          @on-proveedor-editar="onProveedorEditar"
          @on-proveedor-eliminar="onProveedorEliminar"
        />
      </div>
    </div>

    <modal-crear @on-proveedor-listar="onProveedorListar" />
    <modal-editar
      :proveedor="sProveedor"
      @on-proveedor-listar="onProveedorListar"
    />
    <modal-eliminar
      :proveedor="sProveedor"
      @on-proveedor-listar="onProveedorListar"
    />
  </div>
</template>
<script>
import TablaListar from '@/components/panel/proveedor/TablaProveedorListar.vue';
import ModalCrear from '@/components/panel/proveedor/ModalProveedorCrear.vue';
import ModalEditar from '@/components/panel/proveedor/ModalProveedorEditar.vue';
import ModalEliminar from '@/components/panel/proveedor/ModalProveedorEliminar.vue';

import Clonar from '@/core/util/Clonar.js';

export default {
  name: 'ProveedorListar',
  components: {
    TablaListar, ModalCrear, ModalEditar, ModalEliminar
  },
  data() {
    return {
      sProveedor: {},
    }
  },

  methods: {
    onProveedorListar() {
      this.$refs.tablaProveedorListar.onProveedorListar();
    },

    onProveedorEditar(proveedor) {
      this.sProveedor = Clonar.clon(proveedor);
    },

    onProveedorEliminar(proveedor) {
      this.sProveedor = Clonar.clon(proveedor);
    }
  }

}
</script>